### DB->set_q_extentsize

`

###

    #include <db.h>

    int
    DB->set_q_extentsize(DB *db, u_int32_t extentsize);

    int
    DB->get_q_extentsize(DB *db, u_int32_t *extentsizep);

### Description: DB->set_q_extentsize

Set the size of the extents used to hold pages in a Queue database, specified as a number of pages. Each extent is created as a separate physical file. If no extent size is set, the default behavior is to create only a single underlying database file.

For information on tuning the extent size, see Selecting a extent size.

The DB->set_q_extentsize method configures a database, not only operations performed using the specified DB handle.

The DB->set_q_extentsize method may not be called after the DB->open method is called. If the database already exists when DB->open is called, the information specified to DB->set_q_extentsize will be ignored.

The DB->set_q_extentsize method returns a non-zero error value on failure and 0 on success.

### Parameters

extentsize
  The extentsize parameter is the number of pages in a Queue database extent.

### Errors

The DB->set_q_extentsize method may fail and return one of the following non-zero errors:

EINVAL
  If the method was called after DB->open was called; or if an invalid flag value or parameter was specified.

### Description: DB->get_q_extentsize

The DB->get_q_extentsize method returns the number of pages in an extent.

The DB->get_q_extentsize method may be called at any time during the life of the application.

The DB->get_q_extentsize method returns a non-zero error value on failure and 0 on success.

### Parameters

extentsizep
  The DB->get_q_extentsize method returns the number of pages in an extent in extentsizep.

### Class

DB

### See Also

Databases and Related Methods`

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.